Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman1.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman1.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman1.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.6.2a exp(-theta**2/2)/sqrt(2*pi) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.6.20a exp(-theta**2/2)/sqrt(2*pi) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.12.4 q1*r/(4*pi*epsilon*r**3) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.12.4 q1/(4*pi*epsilon*r**2) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -64,5 +64,5 @@
 
       for (var i = 0; i < q1.Count; i++) {
-        var res = q1[i] * r[i] / (4 * Math.PI * epsilon[i] * Math.Pow(r[i], 3));
+        var res = q1[i] / (4 * Math.PI * epsilon[i] * Math.Pow(r[i], 2));
         Ef.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.12.11 q*(Ef+B*v*sin(theta)) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.12.11 q*(Ef + B*v*sin(theta)) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman19.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman19.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman19.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.15.1 m_0*v/sqrt(1-v**2/c**2) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.15.10 m_0*v/sqrt(1-v**2/c**2) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman2.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman2.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman2.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.6.2 exp(-(theta/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0} samples | noise ({1})",
+        return string.Format("I.6.20 exp(-(theta/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman21.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman21.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman21.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.18.4 (m1*r1+m2*r2)/(m1+m2) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.18.4 (m1*r1 + m2*r2)/(m1 + m2) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman23.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman23.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman23.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.18.14 m*r*v*sin(theta) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.18.16 m*r*v*sin(theta) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman24.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman24.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman24.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.24.6 1/2*m*(omega**2+omega_0**2)*1/2*x**2 | {0} samples | noise ({1})",
+        return string.Format("I.24.6 1/4*m*(omega**2 + omega_0**2)*x**2 | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -66,5 +66,5 @@
 
       for (var i = 0; i < m.Count; i++) {
-        var res = 1.0 / 2 * m[i] * (Math.Pow(omega[i], 2) + Math.Pow(omega_0[i], 2)) * 1.0 / 2 * Math.Pow(x[i], 2);
+        var res = 1.0 / 4 * m[i] * (Math.Pow(omega[i], 2) + Math.Pow(omega_0[i], 2)) * Math.Pow(x[i], 2);
         E_n.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.29.16 sqrt(x1**2+x2**2-2*x1*x2*cos(theta1-theta2)) | {0} samples | noise ({1})",
+        return string.Format("I.29.16 sqrt(x1**2+x2**2 - 2*x1*x2*cos(theta1 - theta2)) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "I.6.2b exp(-((theta-theta1)/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0} samples | noise ({1})",
+          "I.6.20b exp(-((theta-theta1)/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman35.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman35.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman35.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.34.1 omega_0/(1-v/c) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.34.10 omega_0/(1-v/c) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman37.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman37.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman37.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.34.27 (h/(2*pi))*omega | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.34.27 h*omega | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman38.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman38.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman38.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.37.4 I1+I2+2*sqrt(I1*I2)*cos(delta) | {0} samples | noise ({1})",
+        return string.Format("I.37.4 I1 + I2 + 2*sqrt(I1*I2)*cos(delta) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman39.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman39.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman39.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.38.12 4*pi*epsilon*(h/(2*pi))**2/(m*q**2) | {0} samples | noise ({1})",
+        return string.Format("I.38.12 4*pi*epsilon*h**2/(m*q**2) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman40.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman40.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman40.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.39.1 3/2*pr*V | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.39.10 3/2*pF*V | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -36,8 +36,8 @@
 
     protected override string[] VariableNames {
-      get { return new[] {"pr", "V", noiseRatio == null ? "E_n" : "E_n_noise"}; }
+      get { return new[] {"pF", "V", noiseRatio == null ? "E_n" : "E_n_noise"}; }
     }
 
-    protected override string[] AllowedInputVariables { get { return new[] {"pr", "V"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"pF", "V"}; } }
 
     public int Seed { get; private set; }
@@ -52,15 +52,15 @@
 
       var data = new List<List<double>>();
-      var pr   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var pF   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
       var V    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
 
       var E_n = new List<double>();
 
-      data.Add(pr);
+      data.Add(pF);
       data.Add(V);
       data.Add(E_n);
 
-      for (var i = 0; i < pr.Count; i++) {
-        var res = 3.0 / 2 * pr[i] * V[i];
+      for (var i = 0; i < pF.Count; i++) {
+        var res = 3.0 / 2 * pF[i] * V[i];
         E_n.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman41.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman41.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman41.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.39.11 1/(gamma-1)*pr*V | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.39.11 1/(gamma-1)*pF*V | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -36,8 +36,8 @@
 
     protected override string[] VariableNames {
-      get { return new[] {"gamma", "pr", "V", noiseRatio == null ? "E_n" : "E_n_noise"}; }
+      get { return new[] {"gamma", "pF", "V", noiseRatio == null ? "E_n" : "E_n_noise"}; }
     }
 
-    protected override string[] AllowedInputVariables { get { return new[] {"gamma", "pr", "V"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"gamma", "pF", "V"}; } }
 
     public int Seed { get; private set; }
@@ -53,5 +53,5 @@
       var data  = new List<List<double>>();
       var gamma = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 2, 5).ToList();
-      var pr    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var pF    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
       var V     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
 
@@ -59,10 +59,10 @@
 
       data.Add(gamma);
-      data.Add(pr);
+      data.Add(pF);
       data.Add(V);
       data.Add(E_n);
 
       for (var i = 0; i < gamma.Count; i++) {
-        var res = 1.0 / (gamma[i] - 1) * pr[i] * V[i];
+        var res = 1.0 / (gamma[i] - 1) * pF[i] * V[i];
         E_n.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman44.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman44.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman44.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "I.41.16 h*omega**3/(pi**2*c**2*(exp((h/(2*pi))*omega/(kb*T))-1)) | {0} samples | noise ({1})",
+          "I.41.16 h*omega**3/(pi**2 * c**2 * (exp(h*omega/(kb*T))-1)) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.6.15a p_d/(4*pi*epsilon)*3*z/r**5*sqrt(x**2+y**2) | {0} samples | noise ({1})",
+        return string.Format("II.6.15a 3/(4*pi*epsilon)*p_d*z/r**5*sqrt(x**2+y**2) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -70,5 +70,5 @@
 
       for (var i = 0; i < epsilon.Count; i++) {
-        var res = p_d[i] / (4 * Math.PI * epsilon[i]) * 3 * z[i] / Math.Pow(r[i], 5) *
+        var res = 3.0 / (4 * Math.PI * epsilon[i]) * p_d[i] * z[i] / Math.Pow(r[i], 5) *
                   Math.Sqrt(Math.Pow(x[i], 2) + Math.Pow(y[i], 2));
         Ef.Add(res);
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "II.6.15b p_d/(4*pi*epsilon)*3*cos(theta)*sin(theta)/r**3 | {0} samples | noise ({1})",
+          "II.6.15b 3/(4*pi*epsilon)*p_d/r**3*cos(theta)*sin(theta) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -67,5 +67,5 @@
 
       for (var i = 0; i < epsilon.Count; i++) {
-        var res = p_d[i] / (4 * Math.PI * epsilon[i]) * 3 * Math.Cos(theta[i]) * Math.Sin(theta[i]) / Math.Pow(r[i], 3);
+        var res = 3.0 / (4 * Math.PI * epsilon[i]) * p_d[i] / Math.Pow(r[i], 3) * Math.Cos(theta[i]) * Math.Sin(theta[i]);
         Ef.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.11.17 n_0*(1+p_d*Ef*cos(theta)/(kb*T)) | {0} samples | noise ({1})",
+        return string.Format("II.11.17 n_0*(1 + p_d*Ef*cos(theta)/(kb*T)) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.34.29b g_*mom*B*Jz/(h/(2*pi)) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("II.34.29b g_*mom*B*Jz/h | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman82.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "II.36.38 mom*H/(kb*T)+(mom*alpha)/(epsilon*c**2*kb*T)*M | {0} samples | noise ({1})",
+          "II.36.38 mom*B/(kb*T)+(mom*alpha*M)/(epsilon*c**2*kb*T) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -37,9 +37,9 @@
 
     protected override string[] VariableNames {
-      get { return new[] {"mom", "H", "kb", "T", "alpha", "epsilon", "c", "M", noiseRatio == null ? "f" : "f_noise"}; }
+      get { return new[] {"mom", "B", "kb", "T", "alpha", "epsilon", "c", "M", noiseRatio == null ? "f" : "f_noise"}; }
     }
 
     protected override string[] AllowedInputVariables {
-      get { return new[] {"mom", "H", "kb", "T", "alpha", "epsilon", "c", "M"}; }
+      get { return new[] {"mom", "B", "kb", "T", "alpha", "epsilon", "c", "M"}; }
     }
 
@@ -56,5 +56,5 @@
       var data    = new List<List<double>>();
       var mom     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
-      var H       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var B       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
       var kb      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
       var T       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
@@ -67,5 +67,5 @@
 
       data.Add(mom);
-      data.Add(H);
+      data.Add(B);
       data.Add(kb);
       data.Add(T);
@@ -77,6 +77,6 @@
 
       for (var i = 0; i < mom.Count; i++) {
-        var res = mom[i] * H[i] / (kb[i] * T[i]) +
-                  mom[i] * alpha[i] / (epsilon[i] * Math.Pow(c[i], 2) * kb[i] * T[i]) * M[i];
+        var res = mom[i] * B[i] / (kb[i] * T[i]) +
+                  mom[i] * alpha[i] * M[i] / (epsilon[i] * Math.Pow(c[i], 2) * kb[i] * T[i]);
         f.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("III.4.32 1/(exp((h/(2*pi))*omega/(kb*T))-1) | {0} samples | noise ({1})",
+        return string.Format("III.4.32 1/(exp(h*omega/(kb*T))-1) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "III.4.33 (h/(2*pi))*omega/(exp((h/(2*pi))*omega/(kb*T))-1) | {0} samples | noise ({1})",
+          "III.4.33 h*omega/(exp(h*omega/(kb*T))-1) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("III.7.38 2*mom*B/(h/(2*pi)) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("III.7.38 2*mom*B/h | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("III.8.54 sin(E_n*t/(h/(2*pi)))**2 | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("III.8.54 sin(E_n*t/h)**2 | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.12.2 q1*q2*r/(4*pi*epsilon*r**3) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("I.12.2 q1*q2/(4*pi*epsilon*r**2) | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -66,5 +66,5 @@
 
       for (var i = 0; i < q1.Count; i++) {
-        var res = q1[i] * q2[i] * r[i] / (4 * Math.PI * epsilon[i] * Math.Pow(r[i], 3));
+        var res = q1[i] * q2[i] / (4 * Math.PI * epsilon[i] * Math.Pow(r[i], 2));
         F.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "III.9.52 (p_d*Ef*t/(h)*sin((omega-omega_0)*t/2)**2/((omega-omega_0)*t/2)**2 | {0} samples | noise ({1})",
+          "III.9.52 (p_d*Ef*t/h*sin((omega-omega_0)*t/2)**2/((omega-omega_0)*t/2)**2 | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("III.12.43 n*(h/(2*pi)) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("III.12.43 n*h | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("III.13.18 2*E_n*d**2*k/(h/(2*pi)) | {0} samples | noise ({1})", trainingSamples,
+        return string.Format("III.13.18 2*E_n*d**2*k/h | {0} samples | noise ({1})", trainingSamples,
           noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs	(revision 17674)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("III.15.14 (h/(2*pi))**2/(2*E_n*d**2) | {0} samples | noise ({1})",
+        return string.Format("III.15.14 h**2/(2*E_n*d**2) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "III.19.51 -m*q**4/(2*(4*pi*epsilon)**2*(h/(2*pi))**2)*(1/n**2) | {0} samples | noise ({1})",
+          "III.19.51 -m*q**4/(2*(4*pi*epsilon)**2*h**2)*(1/n**2) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus1.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus1.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus1.cs	(revision 17674)
@@ -76,5 +76,5 @@
       for (var i = 0; i < Z_1.Count; i++) {
         var res = Math.Pow(
-          Z_1[i] * Z_2[i] * alpha[i] * hbar[i] * c[i] / Math.Pow(4 * E_n[i] * Math.Sin(theta[i] / 2), 2), 2);
+          Z_1[i] * Z_2[i] * alpha[i] * hbar[i] * c[i] / (4 * E_n[i] * Math.Pow(Math.Sin(theta[i] / 2), 2)), 2);
         A.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus10.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus10.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus10.cs	(revision 17674)
@@ -65,5 +65,5 @@
 
       for (var i = 0; i < c.Count; i++) {
-        var res = Math.Cosh((Math.Cos(theta2[i]) - v[i] / c[i]) / (1 - v[i] / c[i] * Math.Cos(theta2[i])));
+        var res = Math.Acos((Math.Cos(theta2[i]) - v[i] / c[i]) / (1 - v[i] / c[i] * Math.Cos(theta2[i])));
         theta1.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus13.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus13.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus13.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "Jackson 3.45: 1/(4*pi*epsilon)*q/sqrt(r**2+d**2-2*r*d*cos(alpha)) | {0} samples | noise ({1})",
+          "Jackson 3.45: q/sqrt(r**2+d**2-2*r*d*cos(alpha)) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -37,8 +37,8 @@
 
     protected override string[] VariableNames {
-      get { return new[] {"q", "r", "d", "alpha", "epsilon", noiseRatio == null ? "Volt" : "Volt_noise"}; }
+      get { return new[] {"q", "r", "d", "alpha", noiseRatio == null ? "Volt" : "Volt_noise"}; }
     }
 
-    protected override string[] AllowedInputVariables { get { return new[] {"q", "r", "d", "alpha", "epsilon"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"q", "r", "d", "alpha"}; } }
 
     public int Seed { get; private set; }
@@ -57,5 +57,4 @@
       var d       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 4, 6).ToList();
       var alpha   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 6).ToList();
-      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
 
       var Volt = new List<double>();
@@ -65,9 +64,8 @@
       data.Add(d);
       data.Add(alpha);
-      data.Add(epsilon);
       data.Add(Volt);
 
       for (var i = 0; i < q.Count; i++) {
-        var res = 1.0 / (4 * Math.PI * epsilon[i]) * q[i] /
+        var res = q[i] /
                   Math.Sqrt(Math.Pow(r[i], 2) + Math.Pow(d[i], 2) - 2 * r[i] * d[i] * Math.Cos(alpha[i]));
         Volt.Add(res);
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus14.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus14.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus14.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "Jackson 4.60: Ef*cos(theta)*(-r+d**3/r**2*(alpha-1)/(alpha+2)) | {0} samples | noise ({1})",
+          "Jackson 4.60: Ef*cos(theta)*((alpha-1)/(alpha+2)*d**3/r**2-r) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -70,5 +70,5 @@
       for (var i = 0; i < Ef.Count; i++) {
         var res = Ef[i] * Math.Cos(theta[i]) *
-                  (-r[i] + Math.Pow(d[i], 3) / Math.Pow(r[i], 2) * (alpha[i] - 1) / (alpha[i] + 2));
+                  ((alpha[i] - 1) / (alpha[i] + 2) * Math.Pow(d[i], 3) / Math.Pow(r[i], 2) - r[i] );
         Volt.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus19.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus19.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus19.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "Weinberg 15.2.2: -1/(8*pi*G)*(c**4*k_f/r**2+H_G**2*c**2*(1-2*alpha)) | {0} samples | noise ({1})",
+          "Weinberg 15.2.2: -1/(8*pi*G)*(c**4*k_f/r**2 + c**2*H_G**2*(1-2*alpha)) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -72,5 +72,5 @@
       for (var i = 0; i < G.Count; i++) {
         var res = -1.0 / (8 * Math.PI * G[i]) * (Math.Pow(c[i], 4) * k_f[i] / Math.Pow(r[i], 2) +
-                                                 Math.Pow(H_G[i], 2) * Math.Pow(c[i], 2) * (1 - 2 * alpha[i]));
+                                                 Math.Pow(c[i], 2) * Math.Pow(H_G[i], 2) * (1 - 2 * alpha[i]));
         pr.Add(res);
       }
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus20.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus20.cs	(revision 17673)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus20.cs	(revision 17674)
@@ -29,5 +29,5 @@
       get {
         return string.Format(
-          "Schwarz 13.132 (Klein-Nishina): 1/(4*pi)*alpha**2*h**2/(m**2*c**2)*(omega_0/omega)**2*(omega_0/omega+omega/omega_0-sin(beta)**2) | {0} samples | noise ({1})",
+          "Schwarz 13.132 (Klein-Nishina): pi*alpha**2*h**2/(m**2*c**2)*(omega_0/omega)**2*(omega_0/omega+omega/omega_0-sin(beta)**2) | {0} samples | noise ({1})",
           trainingSamples, noiseRatio == null ? "no noise" : noiseRatio.ToString());
       }
@@ -75,5 +75,5 @@
 
       for (var i = 0; i < omega.Count; i++) {
-        var res = 1.0 / (4 * Math.PI) * Math.Pow(alpha[i], 2) * Math.Pow(h[i], 2) /
+        var res = Math.PI * Math.Pow(alpha[i], 2) * Math.Pow(h[i], 2) /
                   (Math.Pow(m[i], 2) * Math.Pow(c[i], 2)) * Math.Pow(omega_0[i] / omega[i], 2) *
                   (omega_0[i] / omega[i] + omega[i] / omega_0[i] - Math.Pow(Math.Sin(beta[i]), 2));
